# This file was autogenerated by 'gen_cmake_sources.sh' - DO NOT EDIT
target_sources(solarus
  PUBLIC
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/ItDecoder.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/Music.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/OggDecoder.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/SoundPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/Sound.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/SoundBuffer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/audio/SpcDecoder.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/containers/FreeList.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/containers/Grid.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/containers/Quadtree.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/containers/Quadtree.inl"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Ability.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/AbilityInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/AndroidConfig.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/AppleInterface.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Arguments.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/CommandsEffects.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/ControlsDispatcher.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Common.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/CurrentQuest.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Debug.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/DialogBoxSystem.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Dialog.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/DialogResources.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/EnumInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Equipment.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/EquipmentItem.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/EquipmentItemUsage.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/FontResource.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Command.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Controls.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/ControlsPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Game.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Geometry.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/InputEvent.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Logger.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/MainLoop.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/MapData.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Map.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/MapPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/PerfCounter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/PixelBits.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Point.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Profiler.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/QuestDatabase.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/QuestFiles.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/QuestProperties.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Random.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Rectangle.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/FRectangle.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/ResourceProvider.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/ResourceType.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/SavegameConverterV1.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Savegame.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/SavegamePtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Scale.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Settings.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Size.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/SolarusFatal.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/String.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/StringResources.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/System.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Timer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/TimerPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Transform.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Treasure.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/core/Joypad.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/AnimatedTilePattern.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Arrow.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Block.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Bomb.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Boomerang.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/BorderKind.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/BorderSet.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Camera.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/CameraPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/CarriedObject.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Chest.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/CollisionMode.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/CrystalBlock.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Crystal.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/CustomEntity.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Destination.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Destructible.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Door.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/DynamicTile.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EnemyAttack.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Enemy.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EnemyReaction.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Entities.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EntityData.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Entity.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EntityPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EntityState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EntityType.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/EntityTypeInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Explosion.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Fire.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Ground.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/GroundInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Hero.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/HeroPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Hookshot.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Jumper.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/NonAnimatedRegions.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Npc.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/ParallaxScrollingTilePattern.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Pickable.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/SelfScrollingTilePattern.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Sensor.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Separator.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/SeparatorPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/ShopTreasure.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/SimpleTilePattern.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Stairs.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/StartingLocationMode.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/StreamAction.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Stream.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Switch.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Teletransporter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Tile.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/TileInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/TilePattern.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/TilePtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/TilesetData.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Tileset.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/TraversableInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/entities/Wall.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/BlendMode.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/BlendModeInfo.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Color.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/DefaultShaders.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Drawable.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/DrawablePtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/DrawProxies.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/glrenderer/GlRenderer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/glrenderer/GlShader.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/glrenderer/GlTexture.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Hq2xFilter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Hq3xFilter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Hq4xFilter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/quest_icon.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Renderer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Scale2xFilter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SDLPtrs.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/sdlrenderer/SDLRenderer.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/sdlrenderer/SDLShader.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/sdlrenderer/SDLSurfaceImpl.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/ShaderData.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Shader.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/ShaderPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SoftwarePixelFilter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SoftwareVideoMode.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SolarusGl.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SpriteAnimationDirection.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SpriteAnimation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SpriteAnimationSet.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SpriteData.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Sprite.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SpritePtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Surface.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SurfaceImpl.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/SurfacePtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/TextSurface.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/TransitionFade.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Transition.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/TransitionImmediate.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/TransitionScrolling.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/VertexArray.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/VertexArrayPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/Video.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/graphics/View.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/BackToSolidGroundState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/BoomerangState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/BowState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/CarryingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/CustomState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/FallingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/ForcedWalkingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/FreeState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/FrozenState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/GrabbingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/HeroSprites.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/HeroState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/HookshotState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/HurtState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/JumpingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/LiftingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/PlayerMovementState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/PlungingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/PullingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/PushingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/RunningState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/SpinAttackState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/StairsState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/SwimmingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/SwordLoadingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/SwordSwingingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/SwordTappingState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/TreasureState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/UsingItemState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/hero/VictoryState.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/ExportableToLua.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/ExportableToLuaPtr.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/LuaContext.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/LuaData.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/LuaException.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/LuaTools.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/lua/ScopedLuaRef.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/CircleMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/FallingHeight.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/FallingOnFloorMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/JumpMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/Movement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/PathFinding.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/PathFindingMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/PathMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/PixelMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/PlayerMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/RandomMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/RandomPathMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/RelativeMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/StraightMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/movements/TargetMovement.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/glad/glad.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/hqx/common.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/hqx/hqx.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/KHR/khrplatform.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/blargg_common.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/blargg_config.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/blargg_endian.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/blargg_source.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/dsp.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/SNES_SPC.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/SPC_CPU.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/SPC_DSP.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/SPC_Filter.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/spc.h"
  PRIVATE
    "${CMAKE_CURRENT_SOURCE_DIR}/src/audio/ItDecoder.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/audio/Music.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/audio/OggDecoder.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/audio/Sound.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/audio/SoundBuffer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/audio/SpcDecoder.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/AbilityInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Arguments.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/CommandsEffects.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/ControlsDispatcher.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/CurrentQuest.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Debug.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/DialogBoxSystem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Dialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/DialogResources.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Equipment.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/EquipmentItem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/EquipmentItemUsage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/FontResource.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Controls.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Command.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Game.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Geometry.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/InputEvent.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Logger.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/MainLoop.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Map.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/MapData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/PerfCounter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/PixelBits.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Point.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/QuestDatabase.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/QuestFiles.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/QuestProperties.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Random.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Rectangle.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/ResourceProvider.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/SavegameConverterV1.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Savegame.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Settings.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Size.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/SolarusFatal.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/String.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/StringResources.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/System.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Timer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Treasure.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/core/Joypad.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/AnimatedTilePattern.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Arrow.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Block.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Bomb.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Boomerang.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/BorderSet.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Camera.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/CarriedObject.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Chest.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/CollisionMode.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/CrystalBlock.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Crystal.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/CustomEntity.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Destination.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Destructible.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Door.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/DynamicTile.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Enemy.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/EnemyReaction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Entities.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Entity.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/EntityData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/EntityState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/EntityTypeInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Explosion.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Fire.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/GroundInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Hero.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Hookshot.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Jumper.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/NonAnimatedRegions.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Npc.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/ParallaxScrollingTilePattern.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Pickable.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/SelfScrollingTilePattern.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Sensor.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Separator.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/ShopTreasure.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/SimpleTilePattern.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Stairs.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/StartingLocationMode.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/StreamAction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Stream.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Switch.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Teletransporter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Tile.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/TilePattern.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Tileset.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/TilesetData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/TraversableInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/entities/Wall.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/BlendModeInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Color.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Drawable.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/glrenderer/GlRenderer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/glrenderer/GlShader.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/glrenderer/GlTexture.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Hq2xFilter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Hq3xFilter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Hq4xFilter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Renderer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Scale2xFilter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/sdlrenderer/SDLRenderer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/sdlrenderer/SDLShader.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/sdlrenderer/SDLSurfaceImpl.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Shader.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/ShaderData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SoftwarePixelFilter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SoftwareVideoMode.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SpriteAnimation.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SpriteAnimationDirection.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SpriteAnimationSet.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Sprite.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SpriteData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Surface.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/SurfaceImpl.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/TextSurface.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Transition.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/TransitionFade.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/TransitionImmediate.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/TransitionScrolling.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/VertexArray.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/Video.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/graphics/View.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/BackToSolidGroundState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/BoomerangState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/BowState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/CarryingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/CustomState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/FallingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/ForcedWalkingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/FreeState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/FrozenState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/GrabbingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/HeroSprites.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/HeroState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/HookshotState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/HurtState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/JumpingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/LiftingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/PlayerMovementState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/PlungingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/PullingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/PushingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/RunningState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/SpinAttackState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/StairsState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/SwimmingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/SwordLoadingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/SwordSwingingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/SwordTappingState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/TreasureState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/UsingItemState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/hero/VictoryState.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/AudioApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/DrawableApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/EntityApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/ExportableToLua.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/FileApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/GameApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/InputApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/ItemApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/LanguageApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/LuaContext.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/LuaData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/LuaException.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/LuaTools.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/MainApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/MapApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/MenuApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/MovementApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/ScopedLuaRef.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/ShaderApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/SoundApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/SpriteApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/StateApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/SurfaceApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/TextSurfaceApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/TimerApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/VideoApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/JoypadApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/lua/ControlsApi.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/CircleMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/FallingOnFloorMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/JumpMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/Movement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/PathFinding.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/PathFindingMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/PathMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/PixelMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/PlayerMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/RandomMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/RandomPathMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/RelativeMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/StraightMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/movements/TargetMovement.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/glad/glad.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/hqx/hq2x.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/hqx/hq3x.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/hqx/hq4x.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/hqx/init.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/dsp.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/SNES_SPC.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/SNES_SPC_misc.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/SNES_SPC_state.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/spc.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/SPC_DSP.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/SPC_Filter.cpp"
)

# File-specific compilation options.

# The SNES SPC emulator has a complex code made of tangling switch cases and macros.
# Adding [[fallthrough]] without breaking something would be too complicated.
set_source_files_properties(
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/snes_spc/SNES_SPC.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/third_party/snes_spc/SNES_SPC.cpp"
  PROPERTIES
    COMPILE_OPTIONS "$<$<CXX_COMPILER_ID:GNU,Clang>:-Wno-implicit-fallthrough>"
)

# Some calls to std::abs() on unsigned integers.
set_source_files_properties(
    "${CMAKE_CURRENT_SOURCE_DIR}/include/solarus/third_party/hqx/common.h"
  PROPERTIES
    COMPILE_OPTIONS "$<$<CXX_COMPILER_ID:GNU,Clang>:-Wno-absolute-value>"
)
